#!/usr/bin/python
#
#   Copyright (c) 2008 INdT - Instituto Nokia de Tecnologia
# 
#   This file is part of carmand.
#   
#   carmand is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
# 
#   carmand is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 

import dbus, sys

if __name__ == '__main__':

        _dbus_address = "unix:path=/var/run/carmand-dbus-path"
        bus = dbus.bus.BusConnection(_dbus_address)
        carman = bus.get_object("org.indt.carmand", "/org/indt/carmand")

        gps = dbus.Interface(carman, "org.indt.carmand.GPS")
        cfg = dbus.Interface(carman, "org.indt.carmand.Configuration")

	if len(sys.argv) > 1:
		print "Setting GPS device to: %s" % sys.argv[1]
		cfg.SetGPSDevice(sys.argv[1])
		print "Connecting to GPS: %s" % sys.argv[1]
	else:
		print "Connecting to default GPS: %s" % cfg.GetGPSDevice()
		
        gps.Connect()
